Last Comment Bug 738561 - cleanup mozglue for gonk
: cleanup mozglue for gonk
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: mozglue (show other bugs)
: Trunk
: x86 Mac OS X
: -- normal (vote)
: mozilla14
Assigned To: Michael Wu [:mwu]
:
Mentors:
: 738724 (view as bug list)
Depends on: 739003
Blocks: 737084 738559
  Show dependency treegraph
 
Reported: 2012-03-23 00:37 PDT by Andreas Gal :gal
Modified: 2012-04-11 09:35 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Move common code to BionicGlue (6.98 KB, patch)
2012-04-06 04:47 PDT, Michael Wu [:mwu]
mh+mozilla: review+
Details | Diff | Review

Description Andreas Gal :gal 2012-03-23 00:37:23 PDT
+++ This bug was initially created as a clone of Bug #738559 +++
Comment 1 Andreas Gal :gal 2012-03-23 00:37:41 PDT
Comment on attachment 608621 [details] [diff] [review] [diff] [review]
patch

Review of attachment 608621 [details] [diff] [review] [diff] [review]:
-----------------------------------------------------------------

::: configure.in
@@ +7274,3 @@
>      fi
> +    WRAP_LDFLAGS="${WRAP_LDFLAGS} -Wl,--wrap=getaddrinfo,--wrap=freeaddrinfo,--wrap=gai_strerror"
> +    WRAP_LDFLAGS="${WRAP_LDFLAGS} -Wl,--wrap=fork,--wrap=pthread_atfork"

Do you really want to also wrap getaddrinfo, etc.?

::: mozglue/build/Makefile.in
@@ +96,5 @@
> +# To properly wrap jemalloc's pthread_atfork call.
> +EXTRA_DSO_LDOPTS += -Wl,--wrap=pthread_atfork
> +SHARED_LIBRARY_LIBS += $(call EXPAND_LIBNAME_PATH,android,$(DEPTH)/other-licenses/android)
> +SHARED_LIBRARY_LIBS += $(call EXPAND_LIBNAME_PATH,gonk,../gonk)
> +endif

Please share this with android.

::: mozglue/gonk/GonkGlue.cpp
@@ +31,5 @@
> + * and other provisions required by the GPL or the LGPL. If you do not delete
> + * the provisions above, a recipient may use your version of this file under
> + * the terms of any one of the MPL, the GPL or the LGPL.
> + *
> + * ***** END LICENSE BLOCK ***** */

Please use MPL2 header.

@@ +80,5 @@
> +      if (it->parent)
> +        it->parent();
> +  }
> +  return pid;
> +}

Please move that under mozglue/build, remove the mozglue/android/APKOpen.cpp corresponding code, and make both android and gonk build from mozglue/build.
Comment 2 Andreas Gal :gal 2012-03-23 11:30:32 PDT
*** Bug 738724 has been marked as a duplicate of this bug. ***
Comment 3 Mozilla RelEng Bot 2012-03-29 23:17:25 PDT
Try run for 3fda485b5a53 is complete.
Detailed breakdown of the results available here:
    https://tbpl.mozilla.org/?tree=Try&rev=3fda485b5a53
Results (out of 50 total builds):
    success: 42
    warnings: 8
Builds (or logs if builds failed) available at:
http://ftp.mozilla.org/pub/mozilla.org/firefox/try-builds/mwu@mozilla.com-3fda485b5a53
Comment 4 Michael Wu [:mwu] 2012-04-06 04:47:36 PDT
Created attachment 612858 [details] [diff] [review]
Move common code to BionicGlue
Comment 5 Mike Hommey [:glandium] 2012-04-06 05:03:28 PDT
Comment on attachment 612858 [details] [diff] [review]
Move common code to BionicGlue

Review of attachment 612858 [details] [diff] [review]:
-----------------------------------------------------------------

::: mozglue/build/BionicGlue.cpp
@@ +1,1 @@
> +/* -*- Mode: C++; tab-width: 40; indent-tabs-mode: nil; c-basic-offset: 2 -*- */

tab-width: 40!?
Comment 7 Michael Wu [:mwu] 2012-04-10 18:53:29 PDT
wait why am I marking this as fixed
Comment 8 Matt Brubeck (:mbrubeck) 2012-04-11 09:35:21 PDT
https://hg.mozilla.org/mozilla-central/rev/4c40a352e2a4

Note You need to log in before you can comment on or make changes to this bug.